<?xml version="1.0" encoding="UTF-8"?>
<CDAElementsDistinguisher  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:noNamespaceSchemaLocation="CDADistinguisher.xsd">
    
    
    <!-- section level -->
    
    <elementDiscriber identifier="POCDMT000040Section" type="POCDMT000040Section">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
        <distinguisher xpath="/hl7:component" ref="POCDMT000040Component5"/>
        <distinguisher xpath="/hl7:entry" ref="POCDMT000040Entry"/>
    </elementDiscriber>
    
    <!-- entry level -->
    <elementDiscriber identifier="POCDMT000040Observation" type="POCDMT000040Observation">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
        <distinguisher xpath="/hl7:entryRelationship" ref="POCDMT000040EntryRelationship"/>
    </elementDiscriber>
    <elementDiscriber identifier="POCDMT000040RegionOfInterest" type="POCDMT000040RegionOfInterest">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
    	<distinguisher xpath="/hl7:code/@code"/>
    	<distinguisher xpath="/hl7:entryRelationship" ref="POCDMT000040EntryRelationship"/>
    </elementDiscriber>
    <elementDiscriber identifier="POCDMT000040ObservationMedia" type="POCDMT000040ObservationMedia">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:entryRelationship" ref="POCDMT000040EntryRelationship"/>
    </elementDiscriber>
    <elementDiscriber identifier="POCDMT000040SubstanceAdministration" type="POCDMT000040SubstanceAdministration">
         <distinguisher xpath="/hl7:templateId" ref="templateId"/>
    	<distinguisher xpath="/hl7:code/@code"/>
        <distinguisher xpath="/hl7:consumable" ref="POCDMT000040Consumable"/>
    	<distinguisher xpath="/@moodCode" />
    	<distinguisher xpath="/hl7:entryRelationship" ref="POCDMT000040EntryRelationship"/>
    </elementDiscriber>
    <elementDiscriber identifier="POCDMT000040Supply" type="POCDMT000040Supply">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
    	<distinguisher xpath="/hl7:code/@code"/>
        <distinguisher xpath="/hl7:product" ref="POCDMT000040Product"/>
    	<distinguisher xpath="/@moodCode" />
    	<distinguisher xpath="/hl7:entryRelationship" ref="POCDMT000040EntryRelationship"/>
    </elementDiscriber>
    <elementDiscriber identifier="POCDMT000040Procedure" type="POCDMT000040Procedure">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
    	<distinguisher xpath="/hl7:code/@code"/>
    	<distinguisher xpath="/@moodCode" />
    	<distinguisher xpath="/hl7:entryRelationship" ref="POCDMT000040EntryRelationship"/>
    </elementDiscriber>
    <elementDiscriber identifier="POCDMT000040Encounter" type="POCDMT000040Encounter">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
    	<distinguisher xpath="/hl7:code/@code"/>
    	<distinguisher xpath="/@moodCode" />
    	<distinguisher xpath="/hl7:entryRelationship" ref="POCDMT000040EntryRelationship"/>
    </elementDiscriber>
    <elementDiscriber identifier="POCDMT000040Organizer" type="POCDMT000040Organizer">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
    	<distinguisher xpath="/hl7:code/@code"/>
    	<distinguisher xpath="/@classCode" />
    	<distinguisher xpath="/hl7:component" ref="POCDMT000040Component4"/>
    </elementDiscriber>
    <elementDiscriber identifier="POCDMT000040Act" type="POCDMT000040Act">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    	<distinguisher xpath="/@classCode" /><!-- here we need to process also the @moodCode !! -->
    	<distinguisher xpath="/hl7:entryRelationship" ref="POCDMT000040EntryRelationship"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040ExternalAct" type="POCDMT000040ExternalAct">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040ExternalObservation" type="POCDMT000040ExternalObservation">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040ExternalProcedure" type="POCDMT000040ExternalProcedure">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040ExternalDocument" type="POCDMT000040ExternalDocument">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040ObservationRange" type="POCDMT000040ObservationRange">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Criterion" type="POCDMT000040Criterion">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040NonXMLBody" type="POCDMT000040NonXMLBody">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040StructuredBody" type="POCDMT000040StructuredBody">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040ParentDocument" type="POCDMT000040ParentDocument">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040ServiceEvent" type="POCDMT000040ServiceEvent">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Order" type="POCDMT000040Order">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Consent" type="POCDMT000040Consent">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040EncompassingEncounter" type="POCDMT000040EncompassingEncounter">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040ClinicalDocument" type="POCDMT000040ClinicalDocument">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <!-- Act relationships -->
    
    <elementDiscriber type="POCDMT000040RelatedDocument">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/@typeCode"/>
        <distinguisher xpath="/hl7:parentDocument" ref="POCDMT000040ParentDocument"/>
    </elementDiscriber>
    
    <elementDiscriber type="POCDMT000040DocumentationOf">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:serviceEvent" ref="POCDMT000040ServiceEvent"/>
    </elementDiscriber>
    
    <elementDiscriber type="POCDMT000040InFulfillmentOf">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:order" ref="POCDMT000040Order"/>
    </elementDiscriber>
    
    <elementDiscriber type="POCDMT000040Authorization">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:consent" ref="POCDMT000040Consent"/>
    </elementDiscriber>
    
    <elementDiscriber type="POCDMT000040Component1">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:encompassingEncounter" ref="POCDMT000040EncompassingEncounter"/>
    </elementDiscriber>
    
    <elementDiscriber type="POCDMT000040Component2">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:nonXMLBody" ref="POCDMT000040NonXMLBody"/>
        <distinguisher xpath="/hl7:structuredBody" ref="POCDMT000040StructuredBody"/>
    </elementDiscriber>
    
    <elementDiscriber type="POCDMT000040Component3">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:section" ref="POCDMT000040Section"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Component5" type="POCDMT000040Component5">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:section" ref="POCDMT000040Section"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Entry" type="POCDMT000040Entry">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:observation" ref="POCDMT000040Observation"/>
        <distinguisher xpath="/hl7:regionOfInterest" ref="POCDMT000040RegionOfInterest"/>
        <distinguisher xpath="/hl7:observationMedia" ref="POCDMT000040ObservationMedia"/>
        <distinguisher xpath="/hl7:substanceAdministration" ref="POCDMT000040SubstanceAdministration"/>
        <distinguisher xpath="/hl7:supply" ref="POCDMT000040Supply"/>
        <distinguisher xpath="/hl7:procedure" ref="POCDMT000040Procedure"/>
        <distinguisher xpath="/hl7:encounter" ref="POCDMT000040Encounter"/>
        <distinguisher xpath="/hl7:organizer" ref="POCDMT000040Organizer"/>
        <distinguisher xpath="/hl7:act" ref="POCDMT000040Act"/>
        <distinguisher xpath="/@typeCode"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Component4" type="POCDMT000040Component4">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:observation" ref="POCDMT000040Observation"/>
        <distinguisher xpath="/hl7:regionOfInterest" ref="POCDMT000040RegionOfInterest"/>
        <distinguisher xpath="/hl7:observationMedia" ref="POCDMT000040ObservationMedia"/>
        <distinguisher xpath="/hl7:substanceAdministration" ref="POCDMT000040SubstanceAdministration"/>
        <distinguisher xpath="/hl7:supply" ref="POCDMT000040Supply"/>
        <distinguisher xpath="/hl7:procedure" ref="POCDMT000040Procedure"/>
        <distinguisher xpath="/hl7:encounter" ref="POCDMT000040Encounter"/>
        <distinguisher xpath="/hl7:organizer" ref="POCDMT000040Organizer"/>
        <distinguisher xpath="/hl7:act" ref="POCDMT000040Act"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040EntryRelationship" type="POCDMT000040EntryRelationship" needDistinguisher="true">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:observation" ref="POCDMT000040Observation"/>
        <distinguisher xpath="/hl7:regionOfInterest" ref="POCDMT000040RegionOfInterest"/>
        <distinguisher xpath="/hl7:observationMedia" ref="POCDMT000040ObservationMedia"/>
        <distinguisher xpath="/hl7:substanceAdministration" ref="POCDMT000040SubstanceAdministration"/>
        <distinguisher xpath="/hl7:supply" ref="POCDMT000040Supply"/>
        <distinguisher xpath="/hl7:procedure" ref="POCDMT000040Procedure"/>
        <distinguisher xpath="/hl7:encounter" ref="POCDMT000040Encounter"/>
        <distinguisher xpath="/hl7:organizer" ref="POCDMT000040Organizer"/>
        <distinguisher xpath="/hl7:act" ref="POCDMT000040Act"/>
        <distinguisher xpath="/@typeCode"/>
    </elementDiscriber>
    
    
    <elementDiscriber type="POCDMT000040ReferenceRange">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:observationRange" ref="POCDMT000040ObservationRange"/>
    </elementDiscriber>
    
    <elementDiscriber type="POCDMT000040Precondition">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:criterion" ref="POCDMT000040Criterion"/>
    </elementDiscriber>
    
    <elementDiscriber type="POCDMT000040Reference">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:externalAct" ref="POCDMT000040ExternalAct"/>
        <distinguisher xpath="/hl7:externalObservation" ref="POCDMT000040ExternalObservation"/>
        <distinguisher xpath="/hl7:externalProcedure" ref="POCDMT000040ExternalProcedure"/>
        <distinguisher xpath="/hl7:externalDocument" ref="POCDMT000040ExternalDocument"/>
        <distinguisher xpath="/@typeCode"/>
    </elementDiscriber>
    
    
    <!-- Entities -->
    
    <elementDiscriber identifier="POCDMT000040Organization" type="POCDMT000040Organization">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/@standardIndustryClassCode"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Person" type="POCDMT000040Person">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
    </elementDiscriber>
    
    <elementDiscriber  identifier="POCDMT000040AuthoringDevice" type="POCDMT000040AuthoringDevice">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040CustodianOrganization" type="POCDMT000040CustodianOrganization">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Place" type="POCDMT000040Place">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Patient" type="POCDMT000040Patient">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040SubjectPerson" type="POCDMT000040SubjectPerson">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040LabeledDrug" type="POCDMT000040LabeledDrug">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Material" type="POCDMT000040Material">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Device" type="POCDMT000040Device">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040PlayingEntity" type="POCDMT000040PlayingEntity">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Entity" type="POCDMT000040Entity">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
    </elementDiscriber>
    
    <!-- Roles -->
    
    <elementDiscriber identifier="POCDMT000040OrganizationPartOf" type="POCDMT000040OrganizationPartOf">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
        <distinguisher xpath="/hl7:wholeOrganization" ref="POCDMT000040Organization"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040AssignedEntity" type="POCDMT000040AssignedEntity">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
        <distinguisher xpath="/hl7:assignedPerson" ref="POCDMT000040Person"/>
        <distinguisher xpath="/hl7:assignedOrganization" ref="POCDMT000040Organization"/>        
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040IntendedRecipient" type="POCDMT000040IntendedRecipient">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:informationRecipient" ref="POCDMT000040Person"/>
        <distinguisher xpath="/hl7:receivedOrganization" ref="POCDMT000040Organization"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040AssignedAuthor" type="POCDMT000040AssignedAuthor">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
        <distinguisher xpath="/hl7:assignedPerson" ref="POCDMT000040Person"/>
        <distinguisher xpath="/hl7:assignedAuthoringDevice" ref="POCDMT000040AuthoringDevice"/>
        <distinguisher xpath="/hl7:representedOrganization" ref="POCDMT000040Organization"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040AssignedCustodian" type="POCDMT000040AssignedCustodian">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:representedCustodianOrganization" ref="POCDMT000040CustodianOrganization"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040MaintainedEntity" type="POCDMT000040MaintainedEntity">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Birthplace" type="POCDMT000040Birthplace">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040PatientRole" type="POCDMT000040PatientRole">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:patient" ref="POCDMT000040Patient"/>
        <distinguisher xpath="/hl7:providerOrganization" ref="POCDMT000040Organization"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Guardian" type="POCDMT000040Guardian">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
        <distinguisher xpath="/hl7:guardianPerson" ref="POCDMT000040Person"/>
        <distinguisher xpath="/hl7:guardianOrganization" ref="POCDMT000040Organization"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040RelatedEntity" type="POCDMT000040RelatedEntity">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
        <distinguisher xpath="/hl7:relatedPerson" ref="POCDMT000040Person"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040AssociatedEntity" type="POCDMT000040AssociatedEntity">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
        <distinguisher xpath="/hl7:associatedPerson" ref="POCDMT000040Person"/>
        <distinguisher xpath="/hl7:scopingOrganization" ref="POCDMT000040Organization"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040RelatedSubject" type="POCDMT000040RelatedSubject">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
        <distinguisher xpath="/hl7:subject" ref="POCDMT000040SubjectPerson"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040HealthCareFacility" type="POCDMT000040HealthCareFacility">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
        <distinguisher xpath="/hl7:location" ref="POCDMT000040Place"/>
        <distinguisher xpath="/hl7:serviceProviderOrganization" ref="POCDMT000040Organization"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040ManufacturedProduct" type="POCDMT000040ManufacturedProduct">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:manufacturedLabeledDrug" ref="POCDMT000040LabeledDrug"/>
        <distinguisher xpath="/hl7:manufacturedMaterial" ref="POCDMT000040Material"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040SpecimenRole" type="POCDMT000040SpecimenRole">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:specimenPlayingEntity" ref="POCDMT000040PlayingEntity"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040ParticipantRole" type="POCDMT000040ParticipantRole">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:code/@code"/>
        <distinguisher xpath="/hl7:scopingEntity" ref="POCDMT000040Entity"/>
        <distinguisher xpath="/hl7:playingEntity" ref="POCDMT000040PlayingEntity"/>
        <distinguisher xpath="/hl7:playingDevice" ref="POCDMT000040Device"/>
    </elementDiscriber>
    
    <!-- participants -->
    
    <elementDiscriber identifier="POCDMT000040Authenticator" type="POCDMT000040Authenticator">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:assignedEntity" ref="POCDMT000040AssignedEntity"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040LegalAuthenticator" type="POCDMT000040LegalAuthenticator">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:assignedEntity" ref="POCDMT000040AssignedEntity"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040InformationRecipient" type="POCDMT000040InformationRecipient">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:intendedRecipient" ref="POCDMT000040IntendedRecipient"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Author" type="POCDMT000040Author">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:assignedAuthor" ref="POCDMT000040AssignedAuthor"/>
    </elementDiscriber>

    <elementDiscriber identifier="POCDMT000040Custodian" type="POCDMT000040Custodian">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:assignedCustodian" ref="POCDMT000040AssignedCustodian"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040DataEnterer" type="POCDMT000040DataEnterer">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:assignedEntity" ref="POCDMT000040AssignedEntity"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040RecordTarget" type="POCDMT000040RecordTarget">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:patientRole" ref="POCDMT000040PatientRole"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Informant12" type="POCDMT000040Informant12">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:assignedEntity" ref="POCDMT000040AssignedEntity"/>
        <distinguisher xpath="/hl7:relatedEntity" ref="POCDMT000040RelatedEntity"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Participant1" type="POCDMT000040Participant1">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:associatedEntity" ref="POCDMT000040AssociatedEntity"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Subject" type="POCDMT000040Subject">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:relatedSubject" ref="POCDMT000040RelatedSubject"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Location" type="POCDMT000040Location">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:healthCareFacility" ref="POCDMT000040HealthCareFacility"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040EncounterParticipant" type="POCDMT000040EncounterParticipant">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:assignedEntity" ref="POCDMT000040AssignedEntity"/>
    </elementDiscriber>
    
    <elementDiscriber type="POCDMT000040ResponsibleParty">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:assignedEntity" ref="POCDMT000040AssignedEntity"/>
    </elementDiscriber>
    
    <elementDiscriber type="POCDMT000040Performer1">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/@typeCode"/>
        <distinguisher xpath="/hl7:functionCode"/>
        <distinguisher xpath="/hl7:assignedEntity" ref="POCDMT000040AssignedEntity"/>
    </elementDiscriber>
    
    <elementDiscriber type="POCDMT000040Performer2">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/@typeCode"/>
        <distinguisher xpath="/hl7:modeCode"/>
        <distinguisher xpath="/hl7:assignedEntity" ref="POCDMT000040AssignedEntity"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Consumable" type="POCDMT000040Consumable">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:manufacturedProduct" ref="POCDMT000040ManufacturedProduct"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="POCDMT000040Product" type="POCDMT000040Product">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:manufacturedProduct" ref="POCDMT000040ManufacturedProduct"/>
    </elementDiscriber>
    
    <elementDiscriber type="POCDMT000040Specimen">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/hl7:specimenRole" ref="POCDMT000040SpecimenRole"/>
    </elementDiscriber>
    
    <elementDiscriber type="POCDMT000040Participant2">
        <distinguisher xpath="/hl7:templateId" ref="templateId"/>
        <distinguisher xpath="/@typeCode"/>
        <distinguisher xpath="/hl7:participantRole" ref="POCDMT000040ParticipantRole"/>
    </elementDiscriber>


    <!-- Particular elements -->
    <elementDiscriber identifier="templateId" name="templateId">
        <distinguisher xpath="/@root"/>
    </elementDiscriber>
    
    <elementDiscriber identifier="effectiveTime" name="effectiveTime">
        <distinguisher xpath="/@operator"/>
    </elementDiscriber>
    
</CDAElementsDistinguisher>